summarylogtreecommitdiffstats
path: root/k10ctl.rc
diff options
context:
space:
mode:
Diffstat (limited to 'k10ctl.rc')
-rw-r--r--k10ctl.rc23
1 files changed, 23 insertions, 0 deletions
diff --git a/k10ctl.rc b/k10ctl.rc
new file mode 100644
index 000000000000..f5b9f6772c0c
--- /dev/null
+++ b/k10ctl.rc
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+daemon_name=k10ctl
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Setting CPU Voltages"
+ /usr/bin/k10ctl.sh
+ if [ $? -gt 0 ]; then
+ stat_fail
+ exit 1
+ else
+ stat_done
+ fi
+ ;;
+
+ *)
+ echo "usage: $0 {start}"
+esac
+
+exit 0